{
  "type": "minecraft:crafting_shaped",
  "category": "redstone",
  "key": {
    "#": "minecraft:cobblestone",
    "B": "minecraft:bow",
    "H": "minecraft:hopper",
    "R": "minecraft:redstone"
  },
  "pattern": [
    "#H#",
    "#R#",
    "#B#"
  ],
  "result": {
    "id": "minecraft:place_block"
  },
  "show_notification": true
}